Name:          kryo
Version:       2.21
Release:       1%{?dist}
Summary:       Object graph serialization framework for Java
# ASL: src/com/esotericsoftware/kryo/util/IdentityMap.java src/com/esotericsoftware/kryo/util/IntMap.java
License:       ASL 2.0 and BSD
Url:           http://code.google.com/p/kryo/
# http://kryo.googlecode.com/svn/tags/kryo-2.21/
Source0:       http://kryo.googlecode.com/files/%{name}-%{version}.zip
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel

BuildRequires: mvn(com.esotericsoftware.minlog:minlog)
BuildRequires: mvn(com.esotericsoftware.reflectasm:reflectasm)
BuildRequires: mvn(org.objenesis:objenesis)
BuildRequires: mvn(org.sonatype.oss:oss-parent)
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

Requires:      mvn(com.esotericsoftware.minlog:minlog)
Requires:      mvn(com.esotericsoftware.reflectasm:reflectasm)
Requires:      mvn(org.objenesis:objenesis)

Requires:      java
BuildArch:     noarch

%description
Kryo is a fast and efficient object graph serialization framework for Java.
The goals of the project are speed, efficiency, and an easy to use API.
The project is useful any time objects need to be persisted, whether to a
file, database, or over the network.

Kryo can also perform automatic deep and shallow copying/cloning.
This is direct copying from object to object, not object->bytes->object.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -delete
rm -rf jars javadoc

mv java/* .
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :maven-bundle-plugin
%pom_add_plugin org.apache.felix:maven-bundle-plugin . "
<extensions>true</extensions>
<configuration>
<instructions>
  <Import-Package>sun.reflect;resolution:=optional,*</Import-Package>
  <Export-Package>com.esotericsoftware.kryo.*</Export-Package>
</instructions>
</configuration>"

sed -i "s|<version>2.21-SNAPSHOT</version>|<version>%{version}</version>|" pom.xml

cp -p %{SOURCE1} .
sed -i 's/\r//' license.txt LICENSE-2.0.txt

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc license.txt LICENSE-2.0.txt

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt LICENSE-2.0.txt

%changelog
* Thu Mar 28 2013 gil cattaneo <puntogil@libero.it> 2.21-1
- update to 2.21

* Thu Aug 4 2011 gil <puntogil@libero.it> 1.04-mga1
- initial rpm